## mixxx 2.0.0~dfsg

=== SConstruct ===
#!/usr/bin/env python
# -*- coding: utf-8 -*-
import os

# machine-system settings we support
#
# iX86-mingw32-
# iX86-apple-darwin9
# x86_64-apple-darwin9
# powerpc-apple-darwin9
# poperpc64-apple-darwin9
# iX86-linux-gnu
# x86_64-linux-gnu

# platform = [win, osx, bsd, linux]
# machine = [iX86, x86_64, powerpc, powerpc64]
# toolchain = [gnu, msvc]
# target = [debug, release]

# If you don't specify your platform, we autodetect platform/machine using
# python. If you don't specify your machine then we pick iX86 by default
#
# default toolchain: gnu (you'll get an error on Windows if unspecified)
# default build: debug

import logging
logging.getLogger().setLevel(logging.DEBUG)

from build import mixxx, features, depends
target = ARGUMENTS.get('target', None)
machine = ARGUMENTS.get('machine', None)
build_type = ARGUMENTS.get('build', None)
toolchain = ARGUMENTS.get('toolchain', None)

available_features = [features.Mad,
                      features.CoreAudio,
                      features.MediaFoundation,
                      features.HSS1394,
                      features.HID,
                      features.Bulk,
                      features.MacAppStoreException,
                      features.VinylControl,
                      features.Shoutcast,
                      features.Opus,
                      features.Profiling,
                      features.BuildTime,
                      features.QDebug,
                      features.Verbose,
                      features.Optimize,
                      features.FAAD,
                      features.WavPack,
                      features.ModPlug,
                      features.TestSuite,
                      features.Vamp,
                      features.AutoDjCrates,
                      features.ColorDiagnostics,
                      features.AddressSanitizer,
                      features.LocaleCompare,

                      # "Features" of dubious quality
                      features.PerfTools,
                      features.AsmLib,
                      features.IPod,
                      features.FFMPEG,
                      ]

build = mixxx.MixxxBuild(target, machine, build_type,
                         toolchain, available_features)
Export('build')

# Run our configuration stuff to setup our build environment (detect
# platform/arch, find libraries, etc)
SConscript(File('src/SConscript.env'), variant_dir=Dir(build.build_dir), duplicate=0)

# Grab the list of sources generated by SConscript.env
Import('sources')

# Make the main src directory accessible to the SoundSourceM4A, so
# SoundSourceM4A can get at sounddevice.cpp, which it needs to build
# and link properly. This sucks but it's the best way I can find -- bkgood
VariantDir("plugins/soundsourcem4a", "src", duplicate=0)
VariantDir("plugins/soundsourcewv", "src", duplicate=0)
VariantDir("plugins/soundsourcemediafoundation", "src", duplicate=0)

# Build our soundsource plugins
soundsource_plugins = SConscript(
    File('plugins/SConscript'), variant_dir=Dir(build.build_dir + "/plugins"),
    duplicate=0, exports=['build'])

#Build Vamp minimal plugins
#VariantDir("vamp-plugins", "src", duplicate=0)
mixxxminimal_depends = [ depends.SoundTouch ]
mixxxminimal_plugins = SConscript(
    File('vamp-plugins/SConscript'),
    variant_dir=Dir(build.build_dir + "/vamp-plugins"),
    duplicate=0, exports=['build', 'mixxxminimal_depends'])

# Setup and build the "mixxx" executable target. Also sets up our install
# targets for each platform.
SConscript(File('src/SConscript'), variant_dir=Dir(build.build_dir), duplicate=0,
           exports=['build', 'sources', 'soundsource_plugins', 'mixxxminimal_plugins'])

# For convenience, copy the Mixxx binary out of the build directory to the
# root. Don't do it on windows because the binary can't run on its own and needs
# the DLLs present with it.
if build.platform_is_osx:
    Command("mixxx", os.path.join(build.build_dir, "Mixxx"), Copy("$TARGET", "$SOURCE"))
elif not build.platform_is_windows:
    Command("mixxx", os.path.join(build.build_dir, "mixxx"), Copy("$TARGET", "$SOURCE"))



#On OS X, if the bundle has been built, copy it up:
#Command("Mixxx.app", os.path.join(build.build_dir, "Mixxx.app"), Copy("$TARGET", "$SOURCE"))

=== debian/changelog ===
mixxx (2.0.0~dfsg-9) unstable; urgency=medium

  * debian/control: drop pythonX-scour b-deps
    for scour package itself (Closes: #892582)

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 11 Mar 2018 11:28:45 +0100

mixxx (2.0.0~dfsg-8) unstable; urgency=medium

  * debian/: Qt4 -> Qt5 migration (Closes: #875042)
  * debian/: debhelper bump 9 -> 11
  * debian/: autotools usage dropped
  * debian/control: S-V bump 3.9.8 -> 4.1.3 (no changes needed)
  * debian/control: Vcs-* fields updated to use salsa
  * debian/control: python3-scour added to b-deps

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 07 Feb 2018 22:50:22 +0100

mixxx (2.0.0~dfsg-7.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Sebastian Ramacher ]
  * Remove used B-D on libaudiofile-dev

  [ Simon McVittie ]
  * Add patch from James Cowgill to fix FTBFS with newer sqlite3
    (Closes: #868612)

 -- Simon McVittie <smcv@debian.org>  Mon, 24 Jul 2017 11:08:10 +0100

mixxx (2.0.0~dfsg-7) unstable; urgency=medium

  * Team upload.
  * debian/patches/0008-chromaprint-1.4.patch: Upstream patch to fix build
    with chromaprint 1.4. (Closes: #851009)

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 11 Jan 2017 21:04:24 +0100

mixxx (2.0.0~dfsg-6) unstable; urgency=medium

  * debian/patches/ubuntu.series: file updated (Closes: #836398)
    - 0007-fix_gcc6_issue.patch entry added to the list

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 02 Sep 2016 18:24:40 +0200

mixxx (2.0.0~dfsg-5) unstable; urgency=medium

  * debian/patches/: patchset updated
    - 0007-fix_gcc6_issue.patch added (Closes: #831071)
  * debian/control: S-V bump 3.9.7 -> 3.9.8 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 25 Jul 2016 22:49:53 +0200

mixxx (2.0.0~dfsg-4) unstable; urgency=medium

  [ Sebastian Ramacher ]
  * Import manpage changes from upstream

  [ Alessio Treglia ]
  * Remove myself from the Uploaders list

  [ Matteo F. Vescovi ]
  * debian/control:
    - libqt4-sql-sqlite dependency re-added
      for binary package (Closes: #820805)
    - S-V bump 3.9.6 -> 3.9.7 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Tue, 12 Apr 2016 17:43:31 +0200

mixxx (2.0.0~dfsg-3) unstable; urgency=medium

  * Team upload.
  * debian/rules:
    - Use flags suggested by upstream: build=release, virtualize=0,
      localecompare=1, qt_sqlite_plugin=0.
    - No longer build xpm, no longer needed.
    - Really support parallel builds.
  * debian/{rules,control}: Revert to Qt 4 as suggested by upstream.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 26 Jan 2016 19:26:58 +0100

mixxx (2.0.0~dfsg-2) unstable; urgency=medium

  * debian/patches
    - 0006-opengles.patch: Upstream patch to add OpenGL ES support.
    - 0005-hidapi.patch: Remove cruft.
  * debian/{control,rules}: Build with OpenGL ES on armel and armhf. (LP:
    #1316402)

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 26 Jan 2016 18:17:37 +0100

mixxx (2.0.0~dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Mateusz Łukasik ]
  * New upstream release: (LP: #1530592)
    - Refresh patches.
    - Remove 0001-update_configure.patch - no longer needed.
    - Remove 9001-waveformsignalcolors_fix.patch - included upstream.
  * Update debian/repack.sh script to latest version.
  * Remove obsolete menu file.
  * Update debian/repack.local for new upstream version.
  * debian/control:
    - Add to B-D: libsqlite3-dev, librubberband-dev,libchromaprint-dev.
    - Use QT5. (Closes: #766959, #784496)
  * debian/rules:
    - Switch to QT5.

  [ Sebastian Ramacher ]
  * debian/rules:
    - Build with --as-needed.
    - Disable use of __DATE__ and __TIME__.
    - Remove RPATH.
  * debian/control:
    - Bump libsoundtouch-dev B-D.
    - Add libopus-dev and libopusfile-dev to B-D.
    - Add libhidapi-dev to B-D.
    - Add chrpath to B-D.
    - Update Vcs-*.
  * debian/copyright:
    - Use Files-Excluded instead of repack scripts.
    - Remove lib/{apple,hidapi-*,vamp-*}.
    - Update copyright years.
    - Remove unused paragraphs.
    - Add missing copyright information.
  * debian/patches/0005-hidapi.patch: Build with system hidapi.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 26 Jan 2016 00:59:59 +0100

mixxx (1.11.0~dfsg-5) unstable; urgency=medium

  * Team upload.
  * debian/control:
      - Remove libvamp-hostsdk3 from B-D. It is pulled in by vamp-pluin-sdk
        anyway. (Closes: #794975)
      - Bump Standards-Version (no changes needed).

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 09 Aug 2015 10:33:54 +0200

mixxx (1.11.0~dfsg-4) unstable; urgency=medium

  * Team upload.
  * debian/patches/: patchset refreshed
    - 1001-buildsystem.patch updated (Closes: #698796, #761978)
      (m68k and mips variants added to supported architectures)
  * debian/control: S-V bump 3.9.4 => 3.9.5 (no changes needed)
  * debian/copyright: files and licenses updated
  * debian/control: Uploaders field updated
    - Matteo F. Vescovi <mfvescovi@gmail.com> added

 -- Matteo F. Vescovi <mfvescovi@gmail.com>  Thu, 18 Sep 2014 11:56:54 +0200

mixxx (1.11.0~dfsg-3) unstable; urgency=low

  * Attempt to fix build failures on the following Ubuntu's
    architectures:
    - arm64
    - armhf
    - ppc64el
  * Fix build failures on ARM as qreal is float,
    not double. (Closes: #728148)

 -- Alessio Treglia <alessio@debian.org>  Wed, 29 Jan 2014 09:51:23 +0000

=== debian/control ===
Source: mixxx
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Paul Brossier <piem@debian.org>,
 Free Ekanayaka <freee@debian.org>,
 Matteo F. Vescovi <mfv@debian.org>
Build-Depends:
 chrpath,
 debhelper (>= 11~),
 docbook-to-man,
 libchromaprint-dev,
 libexpat-dev,
 libfftw3-dev,
 libflac-dev,
 libgl1-mesa-dev,
 libgles2-mesa-dev [armel armhf],
 libglu1-mesa-dev,
 libhidapi-dev (>= 0.8.0~rc1),
 libid3tag0-dev,
 libjack-dev,
 libmad0-dev,
 libogg-dev,
 libopus-dev,
 libopusfile-dev,
 libportmidi-dev [linux-any],
 libprotobuf-dev,
 libqt5opengl5-dev,
 libqt5svg5-dev,
 libqt5xmlpatterns5-dev,
 librubberband-dev,
 libshout-dev,
 libsndfile1-dev,
 libsoundtouch-dev (>= 1.8.0),
 libsqlite3-dev,
 libtag1-dev,
 libusb-1.0-0-dev,
 libvorbis-dev,
 pkg-config,
 portaudio19-dev,
 protobuf-compiler,
 qtscript5-dev,
 scons,
 scour,
 vamp-plugin-sdk
Standards-Version: 4.1.3
Vcs-Git: https://salsa.debian.org/multimedia-team/mixxx.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/mixxx
Homepage: http://www.mixxx.org/

Package: mixxx
Architecture: linux-any
Depends:
 libqt5sql5-sqlite,
 mixxx-data (= ${source:Version}),
 ${dist:Depends},
 ${misc:Depends},
 ${shlibs:Depends}
Suggests: pdf-viewer
Description: Digital Disc Jockey Interface
 Mixxx is a digital DJ system, where Wave, Ogg, FLAC and MP3 files can be
 mixed on a computer for use in live performances. Filters, crossfader, and
 speed control are provided. Mixxx can sync the 2 streams automatically, using
 an algorithm to detect the beat.
 .
 Mixxx works with Jack or OSS, can be controlled from the GUI or from external
 controllers, including MIDI devices and joysticks, and supports skins.

Package: mixxx-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Digital Disc Jockey Interface -- data files
 Mixxx is a digital DJ system, where Wave, Ogg, FLAC and MP3 files can be
 mixed on a computer for use in live performances. Filters, crossfader, and
 speed control are provided. Mixxx can sync the 2 streams automatically, using
 an algorithm to detect the beat.
 .
 Mixxx works with Jack or OSS, can be controlled from the GUI or from external
 controllers, including MIDI devices and joysticks, and supports skins.
 .
 This package provides images and skin configuration files required for mixxx.

=== debian/rules ===
#!/usr/bin/make -f

export CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
# The build system ignores CPPFLAGS, pass them to CFLAGS/CXXFLAGS to enable
# the missing (hardening) flags.
export CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
export CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
export LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed

export QT_SELECT=5

export DEB_HOST_ARCH      ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
	SUBSTVARS = -Vdist:Depends="pulseaudio-utils"
else
	SUBSTVARS = -Vdist:Depends=""
endif

# flags suggested by upstream
SCONS_OPTS  = build=release
SCONS_OPTS += qt_sqlite_plugin=0
SCONS_OPTS += virtualize=0
SCONS_OPTS += localecompare=1
# destdir, prefix and machine
SCONS_OPTS += prefix=/usr
SCONS_OPTS += install_root=$(CURDIR)/debian/tmp/usr
SCONS_OPTS += machine=$(DEB_HOST_ARCH)
# Qt
SCONS_OPTS += qt5=1
SCONS_OPTS += qtdir=/usr/share/qt5
# disable use of __DATE__ and __TIME__
SCONS_OPTS += buildtime=0
# build with OpenGL ES 2 on armel and armhf
ifeq (,$(filter-out armel armhf,$(DEB_HOST_ARCH)))
SCONS_OPTS += opengles=1
endif
# parallel builds for scons
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
SCONS_OPTS += -j$(NUMJOBS)
endif

%:
	dh $@ --parallel --with=scour

override_dh_auto_build:
	scons $(SCONS_OPTS) w=1
	docbook-to-man debian/mixxx.sgml > mixxx.1

override_dh_auto_clean:
	scons $(SCONS_OPTS) -c || true
	rm -rf .sconf_temp/ cache/ linux_build/
	dh_clean .sconsign.dblite cachecustom.py \
		config.log src/build.h build/*.pyc mixxx.1
	dh_auto_clean

override_dh_auto_install:
	scons $(SCONS_OPTS) install
	find $(CURDIR)/debian/tmp \( -name COPYING -o -name Thumbs.db \
		-o -name shifter.sh -o -name '*.xsl' -o -name '*.php' \) \
		-exec rm -f {} \;
	find $(CURDIR)/debian/tmp -name '*.js' -exec chmod -x {} \;
	find $(CURDIR)/debian/tmp/usr/share/mixxx/ -type f -exec chmod -x {} \;
	chrpath -d debian/tmp/usr/bin/mixxx \
		debian/tmp/usr/lib/mixxx/plugins/vamp/libmixxxminimal.so

override_dh_gencontrol:
	dh_gencontrol -- $(SUBSTVARS)

=== debian/watch ===
version=3
opts=uversionmangle=s/-(beta|rc|RC)(.*)/~\$1\$2/,\
dversionmangle=s/~dfsg[0-9]*//,\
repacksuffix=~dfsg \
https://downloads.mixxx.org/mixxx-(.*)/mixxx-(.*)-src.tar.gz

## mixxx 2.1.0

=== SConstruct ===
--- 
+++ 
@@ -40,7 +40,7 @@
                       features.Bulk,
                       features.MacAppStoreException,
                       features.VinylControl,
-                      features.Shoutcast,
+                      features.LiveBroadcasting,
                       features.Opus,
                       features.Profiling,
                       features.BuildTime,
@@ -52,16 +52,20 @@
                       features.ModPlug,
                       features.TestSuite,
                       features.Vamp,
-                      features.AutoDjCrates,
                       features.ColorDiagnostics,
-                      features.AddressSanitizer,
+                      features.Sanitizers,
                       features.LocaleCompare,
+                      features.Battery,
 
                       # "Features" of dubious quality
                       features.PerfTools,
                       features.AsmLib,
                       features.IPod,
                       features.FFMPEG,
+
+                      # Experimental features
+                      features.OpenGLES,
+                      features.QtKeychain
                       ]
 
 build = mixxx.MixxxBuild(target, machine, build_type,
@@ -100,15 +104,5 @@
 SConscript(File('src/SConscript'), variant_dir=Dir(build.build_dir), duplicate=0,
            exports=['build', 'sources', 'soundsource_plugins', 'mixxxminimal_plugins'])
 
-# For convenience, copy the Mixxx binary out of the build directory to the
-# root. Don't do it on windows because the binary can't run on its own and needs
-# the DLLs present with it.
-if build.platform_is_osx:
-    Command("mixxx", os.path.join(build.build_dir, "Mixxx"), Copy("$TARGET", "$SOURCE"))
-elif not build.platform_is_windows:
-    Command("mixxx", os.path.join(build.build_dir, "mixxx"), Copy("$TARGET", "$SOURCE"))
-
-
-
 #On OS X, if the bundle has been built, copy it up:
 #Command("Mixxx.app", os.path.join(build.build_dir, "Mixxx.app"), Copy("$TARGET", "$SOURCE"))

=== debian/changelog ===
mixxx (2.1.0-0.1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Use rules and control file from Debian build.
  * Convert to debhelper 10 compat and 3.0 (quilt) source format.
  * Add libupower-glib-dev B-D.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 11 May 2018 15:58:02 -0700

mixxx (2.1.0-0ubuntu1~2.1~git6681~xenial) xenial; urgency=low

  * New upstream release.

 -- RJ Ryan <rryan@mixxx.org>  Mon,  16 Apr 2018 03:14:44 +0000

mixxx (2.1.0-0ubuntu1~2.1~git6681~trusty) trusty; urgency=low

  * New upstream release.

 -- RJ Ryan <rryan@mixxx.org>  Mon,  16 Apr 2018 03:12:28 +0000

mixxx (2.1.0-0ubuntu1) artful; urgency=medium

  * New upstream release.

 -- RJ Ryan <rryan@mixxx.org>  Sun, 15 Apr 2018 15:06:39 -0700

mixxx (2.0.0-0ubuntu1) precise; urgency=medium

  * New upstream release.

 -- RJ Ryan <rryan@mixxx.org>  Mon, 28 Dec 2015 09:15:53 -0800

mixxx (1.12.0-beta1-0ubuntu1) precise; urgency=low

  * New upstream beta release.

 -- RJ Ryan <rryan@mixxx.org>  Tue, 28 Apr 2015 20:51:42 -0400

mixxx (1.11.0-0ubuntu1) lucid; urgency=low

  * New upstream release.

 -- RJ Ryan <rryan@mixxx.org>  Thu, 09 May 2013 01:19:27 -0400

mixxx (1.11.0~beta1-0ubuntu1) lucid; urgency=low

  * New upstream beta release

 -- RJ Ryan <rryan@mixxx.org>  Thu, 21 Jun 2012 15:41:22 -0400

mixxx (1.10.0-0ubuntu1) lucid; urgency=low

  * New upstream release.

 -- RJ Ryan <rryan@mixxx.org>  Sat, 24 Dec 2011 23:28:30 -0500

mixxx (1.10.0-beta1-0ubuntu1) lucid; urgency=low

  * New upstream beta release
  * Bump Qt requirement to 4.6.0
  * Drop Karmic support

 -- RJ Ryan <rryan@mixxx.org>  Wed, 08 Jun 2011 17:28:00 -0500

mixxx (1.9.0-0ubuntu1) karmic; urgency=low

  * New upstream release

 -- Albert Santoni <alberts@mixxx.org>  Thu, 17 Feb 2011 01:17:59 -0500

mixxx (1.8.0-0ubuntu1) karmic; urgency=low

  * New upstream release

 -- Albert Santoni <alberts@mixxx.org>  Thu,  5 August 2010 23:06:22 -0800

mixxx (1.8.0~beta2-0ubuntu1) karmic; urgency=low

  * New upstream release

 -- Albert Santoni <alberts@mixxx.org>  Fri,  18 June 2010 21:06:45 -0800

mixxx (1.8.0~beta1-0ubuntu1) karmic; urgency=low

  * New upstream release

 -- Albert Santoni <alberts@mixxx.org>  Tue,  2 February 2010 21:06:45 -0800

mixxx (1.7.2-0ubuntu1) intrepid; urgency=low

  * New upstream release

 -- Albert Santoni <alberts@mixxx.org>  Tue,  29 December 2009 21:09:12 -0800

mixxx (1.7.1-0ubuntu1) intrepid; urgency=low

  * New upstream release

 -- Albert Santoni <alberts@mixxx.org>  Tue,  13 October 2009 11:21:40 -0800

mixxx (1.7.0-0ubuntu1) intrepid; urgency=low

  * New upstream release

 -- Albert Santoni <alberts@mixxx.org>  Thu,  5 August 2009 11:07:35 -0800

mixxx (1.7.0~beta2-0ubuntu1) intrepid; urgency=low

  * New upstream release

 -- Albert Santoni <alberts@mixxx.org>  Sun,  19 July 2009 12:13:37 -0800

mixxx (1.7.0~beta1-0ubuntu1) intrepid; urgency=low

  * New upstream release

 -- Albert Santoni <alberts@mixxx.org>  Mon,  13 April 2009 13:43:37 -0500

mixxx (1.6.2-0ubuntu1) hardy; urgency=low

  * New upstream release - removes libDJConsole support (new driver from Hercules make this obsolete)

 -- Garth Dahlstrom <ironstorm@users.sourceforge.net>  Tue,  13 November 2008 01:45:00 -0500

mixxx (1.6.1-0ubuntu1) hardy; urgency=low

  * New upstream release

 -- Albert Santoni <gamegod@users.sourceforge.net>  Tue,  25 September 2008 15:45:00 -0800

mixxx (1.6.0-0ubuntu1) hardy; urgency=low

  * New upstream release

 -- Albert Santoni <gamegod@users.sourceforge.net>  Tue,  5 August 2008 22:38:00 -0500

mixxx (1.6.0~beta4-0ubuntu1) hardy; urgency=low

  * New upstream release

 -- Albert Santoni <gamegod@users.sourceforge.net>  Sun,  13 July 2008 22:38:00 -0500

mixxx (1.6.0~beta3-0ubuntu1) hardy; urgency=low

  * New upstream release

 -- Albert Santoni <gamegod@users.sourceforge.net>  Sun,  18 May 2008 13:56:00 -0500

mixxx (1.6.0~beta2-0ubuntu1) hardy; urgency=low

  * New upstream release
    - Improved ATI compatibility (LP: #93814) (LP: #116484) (LP: #124213)
    - Various stability improvements (LP: #72549)
    - Rewritten sound core (LP: #72610)
    - Improved mp3 decoding safety (LP: #122476)
  * Removed mixxx.desktop from debian dir, already upstream (rules updated
    accordingly)
  * Dropped useless main.qbas patch (no longer use qt3)
  * Dropped direct rendering patch (handled better in upstream now)

 -- Albert Santoni <gamegod@users.sourceforge.net>  Tue,  10 Feb 2008 15:32:00 -0500

mixxx (1.6.0~beta1-1ubuntu2) hardy; urgency=low

  * debian/mixxx.desktop
    - Updated desktop file to reflect icon name change
      (LP: #189598)

 -- Joseph Jackson IV <jjacksoniv@fluxbuntu.org>  Wed, 06 Feb 2008 11:02:37 -0500

mixxx (1.6.0~beta1-1ubuntu1) hardy; urgency=low

  * Merge from debian unstable, remaining changes:
    - Update desktop file.
    - Update maintainer field as per spec.

 -- Luke Yelavich <themuso@ubuntu.com>  Thu, 03 Jan 2008 23:09:53 +1100

mixxx (1.6.0beta1-0ubuntu1) gutsy; urgency=low

  * New upstream release
  * DFSG changes now upstream, tag no longer needed

 -- Albert Santoni <gamegod@users.sourceforge.net>  Tue,  20 Nov 2007 23:02:00 -0500

mixxx (1.5.2svn~20070807dfsg-0ubuntu1) gutsy; urgency=low

  * New upstream release

 -- Albert Santoni <gamegod@users.sourceforge.net>  Wed,  8 Aug 2007 20:10:00 -0500

mixxx (1.5.0svn~20070130dfsg-0ubuntu1) feisty; urgency=low

  * New upstream release
  * Trimmed non-free files
  * Mixxx now depends on libportaudio2 (PortAudio-v19 instead of -v18)

 -- Albert Santoni <gamegod@users.sourceforge.net>  Sun,  28 Jan 2007 19:50:20 -0500

mixxx (1.4.2-1.1ubuntu1) edgy; urgency=low

  * Re-sync with Debian
  * Drop Ubuntu GL/GLU fixes
  * Fix .desktop file (Emmet Hikory)

 -- Barry deFreese <bddebian@comcast.net>  Wed,  2 Aug 2006 12:46:20 -0400

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: mixxx
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Paul Brossier <piem@debian.org>,
  Free Ekanayaka <freee@debian.org>,
  Matteo F. Vescovi <mfv@debian.org>
 Build-Depends:
  chrpath,
- debhelper (>= 11~),
+ debhelper (>= 10),
  docbook-to-man,
  libchromaprint-dev,
  libexpat-dev,
@@ -35,6 +36,7 @@
  libsoundtouch-dev (>= 1.8.0),
  libsqlite3-dev,
  libtag1-dev,
+ libupower-glib-dev,
  libusb-1.0-0-dev,
  libvorbis-dev,
  pkg-config,
@@ -42,7 +44,7 @@
  protobuf-compiler,
  qtscript5-dev,
  scons,
- scour,
+ scour | python-scour,
  vamp-plugin-sdk
 Standards-Version: 4.1.3
 Vcs-Git: https://salsa.debian.org/multimedia-team/mixxx.git

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# Site		Directory		Pattern			Version	Script
version=2
http://heanet.dl.sourceforge.net/sourceforge/mixxx/mixxx-(\d+\.+\d+\.+\d).tar.gz

## mixxx 2.1.3~dfsg

=== debian/changelog ===
mixxx (2.1.3~dfsg-1) unstable; urgency=medium

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Matteo F. Vescovi ]
  * New upstream release (Closes: #896457, #897150)
  * debian/patches/: patchset reworked
    All patches have been merged upstream, except for
    those Debian-specific.
  * debian/control: S-V bump 4.1.3 -> 4.2.0 (no changes needed)
  * debian/control: newly needed build-dependencies added
  * debian/control: bump soundtouch version to 2.0.0
  * debian/control: gir1.2-rsvg-2.0 b-dep added
  * debian/rules: obsolete '--parallel' parameter dropped
  * debian/copyright: entries fixed and updated
  * debian/copyright: CC BY-SA license updated
  * debian/copyright: add build/debian to Files-Excluded

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 23 Aug 2018 23:41:01 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,20 @@
 Source: mixxx
 Section: sound
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Paul Brossier <piem@debian.org>,
  Free Ekanayaka <freee@debian.org>,
  Matteo F. Vescovi <mfv@debian.org>
 Build-Depends:
  chrpath,
- debhelper (>= 10),
+ debhelper (>= 11~),
  docbook-to-man,
+ gir1.2-rsvg-2.0,
+ libavcodec-dev,
+ libavformat-dev,
  libchromaprint-dev,
+ libebur128-dev,
  libexpat-dev,
  libfftw3-dev,
  libflac-dev,
@@ -33,20 +36,22 @@
  librubberband-dev,
  libshout-dev,
  libsndfile1-dev,
- libsoundtouch-dev (>= 1.8.0),
+ libsoundtouch-dev (>= 2.0.0),
  libsqlite3-dev,
  libtag1-dev,
  libupower-glib-dev,
  libusb-1.0-0-dev,
+ libvamp-hostsdk3v5,
+ libvamp-sdk2v5,
  libvorbis-dev,
  pkg-config,
  portaudio19-dev,
  protobuf-compiler,
  qtscript5-dev,
  scons,
- scour | python-scour,
+ scour,
  vamp-plugin-sdk
-Standards-Version: 4.1.3
+Standards-Version: 4.2.0
 Vcs-Git: https://salsa.debian.org/multimedia-team/mixxx.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/mixxx
 Homepage: http://www.mixxx.org/

=== debian/rules ===
--- 
+++ 
@@ -42,7 +42,7 @@
 endif
 
 %:
-	dh $@ --parallel --with=scour
+	dh $@ --with=scour
 
 override_dh_auto_build:
 	scons $(SCONS_OPTS) w=1

## mixxx 2.1.5~dfsg

=== debian/changelog ===
mixxx (2.1.5~dfsg-1build1) disco; urgency=medium

  * No-change rebuild against latest protobuf

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 10 Nov 2018 15:10:21 -0500

mixxx (2.1.5~dfsg-1) unstable; urgency=medium

  [ Matteo F. Vescovi ]
  * New upstream release

  [ Peter Green ]
  * debian/patches/: patchset updated (Closes: #912190)
    - 0004-remove-inappropriate-arm-compiler-flags.patch added
  * Fix clean target

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 04 Nov 2018 15:52:15 +0100

mixxx (2.1.4~dfsg-1) unstable; urgency=medium

  [ Olivier Humbert ]
  * Update control (http -> https)

  [ Matteo F. Vescovi ]
  * New upstream release
  * debian/control: S-V bump 4.2.0 -> 4.2.1 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 07 Oct 2018 15:15:30 +0200

=== debian/control ===
--- 
+++ 
@@ -51,10 +51,10 @@
  scons,
  scour,
  vamp-plugin-sdk
-Standards-Version: 4.2.0
+Standards-Version: 4.2.1
 Vcs-Git: https://salsa.debian.org/multimedia-team/mixxx.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/mixxx
-Homepage: http://www.mixxx.org/
+Homepage: https://www.mixxx.org/
 
 Package: mixxx
 Architecture: linux-any

=== debian/rules ===
--- 
+++ 
@@ -54,6 +54,7 @@
 	dh_clean .sconsign.dblite cachecustom.py \
 		config.log src/build.h build/*.pyc mixxx.1
 	dh_auto_clean
+	rm -rf lin*_build/
 
 override_dh_auto_install:
 	scons $(SCONS_OPTS) install

## mixxx 2.2.0~dfsg

=== debian/changelog ===
mixxx (2.2.0~dfsg-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Drop to debhelper 10 compat to ease backports.
  * Disable automatic dbgsym packages.
  * Add python-scour as alternate build-dep.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 31 Jan 2019 15:15:12 -0800

mixxx (2.2.0~dfsg-1) unstable; urgency=medium

  * New upstream release
    - debian/patches/0002-desktop_file.patch: patch updated
    - debian/control: new build-deps added
    - debian/rules: fix installation path

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 20 Jan 2019 22:25:18 +0100

mixxx (2.1.5~dfsg-2) unstable; urgency=medium

  * debian/: drop vendor-specific patchset (Closes: #915919)
  * debian/control: S-V bump 4.2.1 -> 4.3.0

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 27 Dec 2018 21:38:19 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: mixxx
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Paul Brossier <piem@debian.org>,
  Free Ekanayaka <freee@debian.org>,
  Matteo F. Vescovi <mfv@debian.org>
 Build-Depends:
  chrpath,
- debhelper (>= 11~),
+ debhelper (>= 10.2),
  docbook-to-man,
  gir1.2-rsvg-2.0,
  libavcodec-dev,
@@ -24,6 +25,7 @@
  libhidapi-dev (>= 0.8.0~rc1),
  libid3tag0-dev,
  libjack-dev,
+ liblilv-dev,
  libmad0-dev,
  libogg-dev,
  libopus-dev,
@@ -32,6 +34,7 @@
  libprotobuf-dev,
  libqt5opengl5-dev,
  libqt5svg5-dev,
+ libqt5x11extras5-dev,
  libqt5xmlpatterns5-dev,
  librubberband-dev,
  libshout-dev,
@@ -49,9 +52,9 @@
  protobuf-compiler,
  qtscript5-dev,
  scons,
- scour,
+ scour | python-scour,
  vamp-plugin-sdk
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Git: https://salsa.debian.org/multimedia-team/mixxx.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/mixxx
 Homepage: https://www.mixxx.org/

## mixxx 2.2.1~dfsg

=== debian/changelog ===
mixxx (2.2.1~dfsg-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Add python-scour as alternate build-depend to scour.
  * Drop to debhelper 10 compat to ease backports.
  * Disable automatic dbgsym packages.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 12 May 2019 12:41:36 -0700

mixxx (2.2.1~dfsg-1) experimental; urgency=medium

  * New upstream release

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 25 Apr 2019 23:06:17 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: mixxx
 Section: sound
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Paul Brossier <piem@debian.org>,
  Free Ekanayaka <freee@debian.org>,
  Matteo F. Vescovi <mfv@debian.org>
 Build-Depends:
  chrpath,
- debhelper (>= 10.2),
+ debhelper (>= 10),
  docbook-to-man,
  gir1.2-rsvg-2.0,
  libavcodec-dev,

=== debian/rules ===
--- 
+++ 
@@ -10,12 +10,6 @@
 export QT_SELECT=5
 
 export DEB_HOST_ARCH      ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
-
-ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
-	SUBSTVARS = -Vdist:Depends="pulseaudio-utils"
-else
-	SUBSTVARS = -Vdist:Depends=""
-endif
 
 # flags suggested by upstream
 SCONS_OPTS  = build=release
@@ -64,7 +58,7 @@
 	find $(CURDIR)/debian/tmp -name '*.js' -exec chmod -x {} \;
 	find $(CURDIR)/debian/tmp/usr/share/mixxx/ -type f -exec chmod -x {} \;
 	chrpath -d debian/tmp/usr/bin/mixxx \
-		debian/tmp/usr/lib/mixxx/plugins/vamp/libmixxxminimal.so
+		debian/tmp/usr/lib/mixxx/plugins/vampqt5/libmixxxminimal.so
 
-override_dh_gencontrol:
-	dh_gencontrol -- $(SUBSTVARS)
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

## mixxx 2.2.2~dfsg

=== debian/changelog ===
mixxx (2.2.2~dfsg-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 27 Oct 2019 15:42:40 -0700

mixxx (2.2.2~dfsg-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat
  * Bump Standards-Version to 4.4.0

  [ Matteo F. Vescovi ]
  * New upstream version 2.2.2~dfsg

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 28 Aug 2019 20:17:05 +0200

mixxx (2.2.1~dfsg-2) unstable; urgency=medium

  * Upload to unstable

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 08 Jul 2019 14:45:52 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: mixxx
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Paul Brossier <piem@debian.org>,
  Free Ekanayaka <freee@debian.org>,
  Matteo F. Vescovi <mfv@debian.org>
 Build-Depends:
  chrpath,
- debhelper (>= 10),
+ debhelper-compat (= 11),
  docbook-to-man,
  gir1.2-rsvg-2.0,
  libavcodec-dev,
@@ -51,9 +52,9 @@
  protobuf-compiler,
  qtscript5-dev,
  scons,
- scour | python-scour,
+ scour,
  vamp-plugin-sdk
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Git: https://salsa.debian.org/multimedia-team/mixxx.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/mixxx
 Homepage: https://www.mixxx.org/

## mixxx 2.2.3~dfsg

=== debian/changelog ===
mixxx (2.2.3~dfsg-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1

  [ Olivier Humbert ]
  * Update copyright (http -> https)

  [ Matteo F. Vescovi ]
  * New upstream release
  * debian/patches/: patchset refreshed against v2.2.3

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 10 Jan 2020 22:33:58 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: mixxx
 Section: sound
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Paul Brossier <piem@debian.org>,
  Free Ekanayaka <freee@debian.org>,
@@ -54,7 +53,7 @@
  scons,
  scour,
  vamp-plugin-sdk
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Git: https://salsa.debian.org/multimedia-team/mixxx.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/mixxx
 Homepage: https://www.mixxx.org/

=== debian/rules ===
--- 
+++ 
@@ -59,6 +59,3 @@
 	find $(CURDIR)/debian/tmp/usr/share/mixxx/ -type f -exec chmod -x {} \;
 	chrpath -d debian/tmp/usr/bin/mixxx \
 		debian/tmp/usr/lib/mixxx/plugins/vampqt5/libmixxxminimal.so
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym

=== debian/watch ===
version=4
opts="uversionmangle=s/-(beta|rc|RC)(.*)/~\$1\$2/, \
dversionmangle=s/~dfsg[0-9]*//, \
repack, \
repacksuffix=~dfsg" \
https://github.com/mixxxdj/mixxx/tags .*/release-(\d.*[^dev])\.(?:tgz|tar\.(?:gz|bz2|xz))

## mixxx 2.2.4~dfsg

=== SConstruct ===
--- 
+++ 
@@ -12,10 +12,11 @@
 # iX86-linux-gnu
 # x86_64-linux-gnu
 
-# platform = [win, osx, bsd, linux]
+# target = [windows, osx, bsd, linux]
 # machine = [iX86, x86_64, powerpc, powerpc64]
 # toolchain = [gnu, msvc]
-# target = [debug, release]
+# build = [debug, release]
+# optimize = [off, portable, native, legacy, fastbuild, 0, 1, 2]
 
 # If you don't specify your platform, we autodetect platform/machine using
 # python. If you don't specify your machine then we pick iX86 by default
@@ -44,7 +45,6 @@
                       features.Opus,
                       features.Profiling,
                       features.BuildTime,
-                      features.QDebug,
                       features.Verbose,
                       features.Optimize,
                       features.FAAD,
@@ -55,6 +55,7 @@
                       features.ColorDiagnostics,
                       features.Sanitizers,
                       features.LocaleCompare,
+                      features.Lilv,
                       features.Battery,
 
                       # "Features" of dubious quality

=== lib/benchmark/src/CMakeLists.txt ===
# Allow the source files to find headers in src/
include_directories(${PROJECT_SOURCE_DIR}/src)

# Define the source files
set(SOURCE_FILES "benchmark.cc" "colorprint.cc" "commandlineflags.cc"
                 "console_reporter.cc" "csv_reporter.cc" "json_reporter.cc"
                 "log.cc" "reporter.cc" "sleep.cc" "string_util.cc"
                 "sysinfo.cc" "walltime.cc")
# Determine the correct regular expression engine to use
if(HAVE_STD_REGEX)
  set(RE_FILES "re_std.cc")
elseif(HAVE_GNU_POSIX_REGEX)
  set(RE_FILES "re_posix.cc")
elseif(HAVE_POSIX_REGEX)
  set(RE_FILES "re_posix.cc")
else()
  message(FATAL_ERROR "Failed to determine the source files for the regular expression backend")
endif()

add_library(benchmark ${SOURCE_FILES} ${RE_FILES})


set_target_properties(benchmark PROPERTIES
  OUTPUT_NAME "benchmark"
  VERSION ${GENERIC_LIB_VERSION}
  SOVERSION ${GENERIC_LIB_SOVERSION}
)

# Link threads.
target_link_libraries(benchmark ${CMAKE_THREAD_LIBS_INIT})

# We need extra libraries on Windows
if(${CMAKE_SYSTEM_NAME} MATCHES "Windows")
  target_link_libraries(benchmark Shlwapi)
endif()

# Expose public API
target_include_directories(benchmark PUBLIC ${PROJECT_SOURCE_DIR}/include)

# Install target (will install the library to specified CMAKE_INSTALL_PREFIX variable)
install(
  TARGETS benchmark
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
  COMPONENT library)

install(
  DIRECTORY "${PROJECT_SOURCE_DIR}/include/benchmark"
  DESTINATION include
  FILES_MATCHING PATTERN "*.*h")

=== lib/libebur128/ebur128/CMakeLists.txt ===
set(BUILD_STATIC_LIBS       ON  CACHE BOOL "Build static library")
set(WITH_STATIC_PIC         OFF CACHE BOOL "Compile static library with -fPIC flag")
set(ENABLE_INTERNAL_QUEUE_H OFF CACHE BOOL "Use own queue.h")

#### queue.h
file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/queuetest.c
"#include <sys/queue.h>\nLIST_HEAD(listhead, entry) head;\nint main() { return 0; }")
try_compile(HAS_QUEUE ${CMAKE_CURRENT_BINARY_DIR}
                      ${CMAKE_CURRENT_BINARY_DIR}/queuetest.c)

set(SUMMARY_HAS_QUEUE ${HAS_QUEUE} CACHE INTERNAL "")

if(ENABLE_INTERNAL_QUEUE_H)
  include_directories(SYSTEM queue)
endif()


if(MSVC)
  add_definitions(-D_USE_MATH_DEFINES)
  if(CMAKE_SIZEOF_VOID_P LESS 8)
    add_definitions(/arch:SSE2)
  endif()
endif()


set(EBUR128_VERSION_MAJOR 1)
set(EBUR128_VERSION 1.2.4)

#### static
if(BUILD_STATIC_LIBS)
  add_library(ebur128_static STATIC ebur128.c)
  if(NOT MSVC)
    set_property(TARGET ebur128_static PROPERTY OUTPUT_NAME ebur128)
  endif()
endif()

if(WITH_STATIC_PIC)
  set_property(TARGET ebur128_static PROPERTY POSITION_INDEPENDENT_CODE ON)
endif()

#### shared
# set source file for library, which includes def file if using MSVC
set(EBUR128_SHARED_SOURCE ebur128.c)
if(MSVC)
  set(EBUR128_SHARED_SOURCE ${EBUR128_SHARED_SOURCE} ebur128.def)
endif()

add_library(ebur128 SHARED ${EBUR128_SHARED_SOURCE})
set_target_properties(ebur128 PROPERTIES
    SOVERSION ${EBUR128_VERSION_MAJOR}
    VERSION ${EBUR128_VERSION})

find_library(MATH_LIBRARY m)
if(MATH_LIBRARY)
  target_link_libraries(ebur128 ${MATH_LIBRARY})
endif()

set(EBUR128_INCLUDE_DIR ${CMAKE_CURRENT_SOURCE_DIR} CACHE INTERNAL "")

install(FILES ebur128.h DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})
if(BUILD_STATIC_LIBS)
  install(TARGETS ebur128 ebur128_static DESTINATION ${CMAKE_INSTALL_LIBDIR})
else()
  install(TARGETS ebur128 DESTINATION ${CMAKE_INSTALL_LIBDIR})
endif()

#### pkg-config
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/libebur128.pc.cmake
               ${CMAKE_CURRENT_BINARY_DIR}/libebur128.pc @ONLY)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/libebur128.pc"
        DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)

=== res/controllers/novation-launchpad/Makefile ===
SHELL := $(shell which zsh || which bash)

empty :=
space := $(empty) $(empty)

join-with = $(subst $(space),$1,$(strip $2))

device = $(call join-with,\ ,$(shell jq -r .controller.device packages/$(1)/package.json))
manufacturer = $(call join-with,\ ,$(shell jq -r .controller.manufacturer packages/$(1)/package.json))
mapping = $(buildDir)/$(call manufacturer,$(1))\ $(call device,$(1)).midi.xml
script = $(buildDir)/$(call manufacturer,$(1))-$(call device,$(1))-scripts.js

arch := $(shell uname)
package := ./package.json
buildDir := ./dist
version := $(shell jq -r .version package.json)

targets := $(shell jq -r '.controllers | join (" ")' package.json)

define targetScriptRules
$(call script,$(1)) : $(shell ls packages/**/*.js)
	./scripts/compile-scripts.js $(1) "$$@"
endef

define targetMappingRules
$(call mapping,$(1)) : $(package) packages/$(1)/buttons.js packages/$(1)/template.xml.ejs
	./scripts/compile-mapping.js $(1) "$$@"
endef

define compileRule
compile : $(foreach target,$(1),$(call mapping,$(target)) $(call script,$(target)))
.DEFAULT : compile
.PHONY : compile
endef

define installRule
install : install_$(arch)

install_Darwin : $(foreach target,$(1),$(call mapping,$(target)) $(call script,$(target)))
	cp $(foreach target,$(1),$(call mapping,$(target)) $(call script,$(target))) $$(HOME)/Library/Application\ Support/Mixxx/controllers
.PHONY : install_Darwin

install_Linux : $(foreach target,$(1),$(call mapping,$(target)) $(call script,$(target)))
	cp $(foreach target,$(1),$(call mapping,$(target)) $(call script,$(target))) $$(HOME)/.mixxx/controllers
.PHONY : install_Linux

endef

define releaseRule
mixxx-launchpad-$(version) : $(foreach target,$(1),$(call mapping,$(target)) $(call script,$(target)))
	zip -9 $$@.zip $(foreach target,$(1),$(call mapping,$(target)) $(call script,$(target)))
endef

$(foreach target,$(targets),$(eval $(call targetScriptRules,$(target))))
$(foreach target,$(targets),$(eval $(call targetMappingRules,$(target))))
$(eval $(call compileRule,$(targets)))
$(eval $(call installRule,$(targets)))
$(eval $(call releaseRule,$(targets)))

release : mixxx-launchpad-$(version)
.PHONY : release

test :
	npm run lint
	npm run check
.PHONY : test

clean :
	rm -rf dist
.PHONY : clean

=== debian/changelog ===
mixxx (2.2.4~dfsg-1) unstable; urgency=medium

  * Team upload

  * New upstream release
  * debian/patches/: patchset updated against v2.2.4
    - 0005-scons-3.patch dropped (applied upstream)
    - 0005-remove_inappropriate_i386_flags.patch added (Closes: #950131)
    - 0006-features_fix.patch added
  * debian/copyright: by-tab indentation removed
  * debian/control:
    - debhelper bump 11 -> 13
    - S-V bump 4.4.1 -> 4.5.0 (no changes needed)
    - RRR set
    - add missing b-dep libmodplug-dev
    - drop myself from Uploaders
  * debian/mixxx.install: add missing install path
  * debian/rules:
    - update clean path for pyc files
    - drop duplicate files on install

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 13 Aug 2020 18:17:10 +0200

mixxx (2.2.3~dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Cherry-pick an upstream patch to fix a FTBFS with Scons under Python 3.
    (Closes: #947568)

 -- Stefano Rivera <stefanor@debian.org>  Tue, 12 May 2020 16:07:23 -0700

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,10 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Paul Brossier <piem@debian.org>,
- Free Ekanayaka <freee@debian.org>,
- Matteo F. Vescovi <mfv@debian.org>
+ Free Ekanayaka <freee@debian.org>
 Build-Depends:
  chrpath,
- debhelper-compat (= 11),
+ debhelper-compat (= 13),
  docbook-to-man,
  gir1.2-rsvg-2.0,
  libavcodec-dev,
@@ -26,6 +25,7 @@
  libjack-dev,
  liblilv-dev,
  libmad0-dev,
+ libmodplug-dev,
  libogg-dev,
  libopus-dev,
  libopusfile-dev,
@@ -53,7 +53,8 @@
  scons,
  scour,
  vamp-plugin-sdk
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/multimedia-team/mixxx.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/mixxx
 Homepage: https://www.mixxx.org/

=== debian/rules ===
--- 
+++ 
@@ -46,15 +46,15 @@
 	scons $(SCONS_OPTS) -c || true
 	rm -rf .sconf_temp/ cache/ linux_build/
 	dh_clean .sconsign.dblite cachecustom.py \
-		config.log src/build.h build/*.pyc mixxx.1
+		config.log src/build.h build/__pycache__/*.pyc mixxx.1
 	dh_auto_clean
 	rm -rf lin*_build/
 
 override_dh_auto_install:
 	scons $(SCONS_OPTS) install
 	find $(CURDIR)/debian/tmp \( -name COPYING -o -name Thumbs.db \
-		-o -name shifter.sh -o -name '*.xsl' -o -name '*.php' \) \
-		-exec rm -f {} \;
+		-o -name shifter.sh -o -name '*.xsl' -o -name '*.php' \
+		-o -name LICENSE -o -name README \) -exec rm -f {} \;
 	find $(CURDIR)/debian/tmp -name '*.js' -exec chmod -x {} \;
 	find $(CURDIR)/debian/tmp/usr/share/mixxx/ -type f -exec chmod -x {} \;
 	chrpath -d debian/tmp/usr/bin/mixxx \
